%define pkg_name        Font-AFM
%define pkg_version     1.19
%define rpm_pkg_version 1.19
%define rpm_pkg_release 2.n0i.2

Summary:       Parse Adobe Font Metric files
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/G/GA/GAAS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This module implements the Font::AFM class. Objects of this class are
initialised from an AFM-file and allows you to obtain information about the
font and the metrics of the various glyphs in the font. All measurements in
AFM files are given in terms of units equal to 1/1000 of the scale factor
of the font being used. To compute actual sizes in a document, these
amounts should be multiplied by (scale factor of font)/1000.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.19-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Fri Jul 29 2005 Marius Feraru <altblue@n0i.net> 1.19-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
